Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1410664 - [RFE] need to sync the latest virt-who package(0.18-x) to satellite6.2.x sattools repo
Summary: [RFE] need to sync the latest virt-who package(0.18-x) to satellite6.2.x satt...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Subscriptions - virt-who
Version: 6.2.8
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: jcallaha
Tom McKay
URL:
Whiteboard:
Depends On:
Blocks: 1426409
TreeView+ depends on / blocked
 
Reported: 2017-01-06 03:35 UTC by Eko
Modified: 2019-09-25 21:20 UTC (History)
11 users (show)

Fixed In Version: virt-who-0.19-2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1426409 (view as bug list)
Environment:
Last Closed: 2017-05-01 13:51:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:1192 0 normal SHIPPED_LIVE Satellite 6.2.9 Tools Async Release 2017-05-01 17:48:31 UTC

Description Eko 2017-01-06 03:35:03 UTC
Description of problem:

Discussed with Chris before, QE team will test the latest virt-who package in sattools repo, that means the virt-who developers only need to maintain the upstream build for rhel6 or rhel7.

if a stable virt-who package is available for rhel6.x, will create the same sat package (el6sat, el7sat) in sattools repo at the same time.

if a stable virt-who package is available for rhel7.x, will create the same sat package (el6sat, el7sat) in sattools repo at the same time.


but currently, 
the virt-who package in Satellite-6.2.0-RHEL-7-20161219.0/compose/sattools/x86_64/os/Packages/ is virt-who-0.17-10.el7sat, not virt-who-0.18-1.el7sat

the virt-who package in Satellite-6.2.0-RHEL-6-20161213.0/compose/sattools/x86_64/os/Packages/ is virt-who-0.17-9.el6sat, not virt-who-0.18-1.el6sat


so we need someone to:
1). create virt-who-0.18-1.el7sat and virt-who-0.18-1.el6sat package according to the latest build, always make sure virt-who for rhel and sattools is the same and latest package.   

2). sync these two packages in sattools repo.

Comment 4 Eko 2017-02-07 06:24:33 UTC
Hi Chris,
do you have the permission to create the .sat package? 
when you create the package for rhel6.x or rhel7.x, it's more better to create the package for satellite as well.

Comment 5 Chris Snyder 2017-02-07 15:36:49 UTC
Hi Eko,

I do not have permission to create .sat package, I can only update the content from which the .sat package will be built. We can ask Eric if I can acquire the appropriate permissions if so desired.


Eric,

Would it be possible / desirable for me to build the .sat package?

Cheers,
Chris

Comment 7 Bryan Kearney 2017-02-07 17:36:21 UTC
moving this to 6.2.9

Comment 8 Satellite Program 2017-02-23 21:10:59 UTC
Please add verifications steps for this bug to help QE verify

Comment 11 jcallaha 2017-03-29 20:26:23 UTC
Verified in Satellite 6.2.9 Snap 2

I see the following two packaged available in their respective satellite tools repos.

virt-who-0.19-2.el7sat.noarch
virt-who-0.19-2.el6sat.noarch

Comment 13 errata-xmlrpc 2017-05-01 13:51:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:1192


Note You need to log in before you can comment on or make changes to this bug.